Bug 126174 - DND from maximized background window moves it into foreground
Summary: DND from maximized background window moves it into foreground
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity   
(Show other bugs)
Version: rawhide
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-17 03:45 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 05:08:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Gyurdiev 2004-06-17 03:45:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
Hi. I tried to DND something from a background maximized window into a
foreground window, and the source window went into foreground, hiding
the target window. The point of spatial nautilus is to make DND easy.
Therefore this is a bug.






Version-Release number of selected component (if applicable):
nautilus-2.6.0-5

How reproducible:
Always

Steps to Reproduce:
1. See Summary

Additional info:

Comment 1 Ivan Gyurdiev 2004-07-23 00:08:05 UTC
30+ days, still not fixed and no reply.



Comment 2 Ivan Gyurdiev 2004-08-16 04:52:20 UTC
Actually I guess DND from any window brings it into foreground which
is even worse. 50+ days, no reply.



Comment 3 Alexander Larsson 2004-08-26 14:05:17 UTC
This is a window manager issue. Nautilus is not what is moving the
window to the front. This is not a simple thing to solve, as X doesn't
currently have a way that lets you fix it in a good way. 


Comment 4 Alexander Larsson 2004-10-05 13:02:24 UTC
Assigning to metacity, as there might be some way to solve this in the
window manager.

hp? This is a common problem, is there any way to solve it?


Comment 5 Havoc Pennington 2004-11-10 05:08:55 UTC
See:
http://bugzilla.gnome.org/show_bug.cgi?id=112308
http://bugzilla.gnome.org/show_bug.cgi?id=128134
http://bugzilla.gnome.org/show_bug.cgi?id=76672

This is a fairly hard issue, it won't be fixed overnight.
It needs to happen at gnome.org though, not here.



Note You need to log in before you can comment on or make changes to this bug.